#!/bin/bash
#
#$ -cwd
#$ -q all.q
#$ -S /bin/bash
#$ -m e 

cd /storage/projects/mESC/GSM2183911_MNase-WT/BED

#Calculate occupancy for each chromosome
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr1.bed --output=1_occup_chr1.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr2.bed --output=1_occup_chr2.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr3.bed --output=1_occup_chr3.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr4.bed --output=1_occup_chr4.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr5.bed --output=1_occup_chr5.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr6.bed --output=1_occup_chr6.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr7.bed --output=1_occup_chr7.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr8.bed --output=1_occup_chr8.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr9.bed --output=1_occup_chr9.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr10.bed --output=1_occup_chr10.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr11.bed --output=1_occup_chr11.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr12.bed --output=1_occup_chr12.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr13.bed --output=1_occup_chr13.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr14.bed --output=1_occup_chr14.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr15.bed --output=1_occup_chr15.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr16.bed --output=1_occup_chr16.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr17.bed --output=1_occup_chr17.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr18.bed --output=1_occup_chr18.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chr19.bed --output=1_occup_chr19.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chrX.bed --output=1_occup_chrX.occ --window=1
perl /storage/projects/nuctools.2.0/bed2occupancy_average.pl --input=chrY.bed --output=1_occup_chrY.occ --window=1

#calculate aggregate profiles
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr1_GSM2183912_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr1.occ --chromosome=chr1 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr2_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr2.occ --chromosome=chr2 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr3_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr3.occ --chromosome=chr3 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr4_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr4.occ --chromosome=chr4 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr5_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr5.occ --chromosome=chr5 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr6_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr6.occ --chromosome=chr6 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr7_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr7.occ --chromosome=chr7 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr8_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr8.occ --chromosome=chr8 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr9_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr9.occ --chromosome=chr9 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr10_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr10.occ --chromosome=chr10 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr11_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr11.occ --chromosome=chr11 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr12_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr12.occ --chromosome=chr12 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr13_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr13.occ --chromosome=chr13 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr14_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr14.occ --chromosome=chr14 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr15_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr15.occ --chromosome=chr15 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr16_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr16.occ --chromosome=chr16 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr17_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr17.occ --chromosome=chr17 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr18_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr18.occ --chromosome=chr18 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chr19_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chr19.occ --chromosome=chr19 --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chrX_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chrX.occ --chromosome=chrX --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000
perl /storage/projects/nuctools.2.0/aggregate_profile.pl --regions=/storage/projects/__LOCs_Feinberg2009/LOCs_Feinberg2009_mm9.bed --average_aligned=chrY_GSM2183911_MNase-WT_AT_LOCs_Feinberg2009.txt  --chromosome_col=0 --region_start_column=1 --region_end_column=2 --strand_column=5  --GeneId_column=3 --ignore_strand --input=/storage/projects/mESC/GSM2183911_MNase-WT/BED/1_occup_chrY.occ --chromosome=chrY --verbose --aligned=output.aligned.tab.gz --useCenter --upstream_delta=50000 --downstream_delta=50000